esviz
===============

esviz is an R package developed by BSC-CNS Earth Science Department. 
It includes several plotting functions for climate sciences, e.g., maps, time series, scorecards, etc. The functions can be used at all stages of the data analysis process and some specific types for the forecast verification. Some functions are origined from packages "s2dv" and "CSTools" but with more integrated functinalities.

These functions are essential to:
 - Quickly inspect the results of a newly produced experiment, i.e. to check 
the physical consistency of the results.
 - Assess the added value of a new prediction system, i.e. to compare new 
 results with a reference (observation, reconstruction or other experiment).
 - Assess visually the significance of results, i.e. to display in a 
user-friendly way confidence intervals and other statistics.

The plotting functions, with a name starting with `Viz*`, can be categorized into different plot types they provide: 

 - **Plotting time series**: `VizClim()`, `VizAno()`, 
`VizVsLtime()`, `Viz2VarsVsLTime()`, `VizBoxWhisker()`, `VizACC()`.
 - **Plotting maps**: `VizEquiMap()`, `VizRobinson()`,
`VizStereoMap()`, `VizAnimateMap()`, `VizLayout()`, `VizSection()`.


Bug Report
----------
If you find any bug or have any question, please open an issue and tag the maintainers (@aho) (@erifarov),
and follow the issue template to provide the necessary details.

Contribution
----------
Your suggestion or contribution to this package is very welcomed. Please open an issue and tag the maintainers (@aho) (@erifarov) to discuss the details.

